# Update Auth0 external user source

Update an external user source.

A valid environment token is required to call this endpoint.

Endpoint: PUT /resources/user-sources/v1/external/auth0/{id}
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Path parameters:

  - `id` (string, required)

## Request fields (application/json):

  - `name` (string)
    The user source name

  - `configuration` (object)
    User source configuration

  - `configuration.syncOnLogin` (boolean, required)
    Whether to sync user profile attributes on each login

  - `configuration.isMigrated` (boolean, required)
    Whether to migrate the users

  - `configuration.domain` (string, required)
    the auth0 domain

  - `configuration.clientId` (string, required)
    the auth0 application clientId

  - `configuration.secret` (string, required)
    the auth0 application secret

  - `configuration.tenantConfig` (any, required)

  - `configuration.tenantConfig.tenantIdFieldName` (string, required)
    The attribute name of which the tenant id would be taken from

  - `configuration.tenantConfig.tenantResolverType` (string, required)
    Enum: "dynamic"

  - `configuration.tenantConfig.tenantId` (string, required)
    The tenant id which all of the users would be added to

  - `configuration.tenantConfig.tenantResolverType` (string, required)
    Enum: "static"

  - `configuration.tenantConfig.tenantResolverType` (string, required)
    Enum: "new"

  - `index` (number)
    The user source index

  - `description` (string)
    The user source description

